OpenCV: cvflann::KNNResultSet< DistanceType > Class Template Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cvflann::KNNResultSet< DistanceType > Class Template Reference

`#include "result_set.h"`

Inheritance diagram for cvflann::KNNResultSet< DistanceType >:

## Public Member Functions
| KNNResultSet (int capacity_)
void | addPoint (DistanceType dist, int index) CV_OVERRIDE
bool | full () const CV_OVERRIDE
void | init (int *indices_, DistanceType *dists_)
size_t | size () const
DistanceType | worstDist () const CV_OVERRIDE
Public Member Functions inherited from cvflann::ResultSet< DistanceType >
virtual | ~ResultSet ()

## Detailed Description

### template<typename DistanceType>
class cvflann::KNNResultSet< DistanceType >

K-Nearest neighbour result set. Ensures that the elements inserted are unique

## Constructor & Destructor Documentation

## ◆ KNNResultSet()

template<typename DistanceType>

cvflann::KNNResultSet< DistanceType >::KNNResultSet | ( | int | capacity_ | ) |
| inline

## Member Function Documentation

## ◆ addPoint()

template<typename DistanceType>

void cvflann::KNNResultSet< DistanceType >::addPoint | ( | DistanceType | dist,
|  | int | index
| ) |  |
| inlinevirtual

Implements cvflann::ResultSet< DistanceType >.

## ◆ full()

template<typename DistanceType>

bool cvflann::KNNResultSet< DistanceType >::full | ( |  | ) | const
| inlinevirtual

Implements cvflann::ResultSet< DistanceType >.

## ◆ init()

template<typename DistanceType>

void cvflann::KNNResultSet< DistanceType >::init | ( | int * | indices_,
|  | DistanceType * | dists_
| ) |  |
| inline

## ◆ size()

template<typename DistanceType>

size_t cvflann::KNNResultSet< DistanceType >::size | ( |  | ) | const
| inline

## ◆ worstDist()

template<typename DistanceType>

DistanceType cvflann::KNNResultSet< DistanceType >::worstDist | ( |  | ) | const
| inlinevirtual

Implements cvflann::ResultSet< DistanceType >.

The documentation for this class was generated from the following file:

- flann/include/opencv2/flann/result_set.h